/*
 * main.c
 *
 *  Created on: 2019 Oct 29 15:12:56
 *  Author: rtlaka
 */
#include <xmc_common.h>
#include "ecat_options.h"
#include "ecat_slv.h"
#include "esc_hw.h"
#include "utypes.h"
static esc_cfg_t config =
{
   .user_arg = NULL,
   .use_interrupt = 0,
   .watchdog_cnt = 10000,
   .set_defaults_hook = NULL,
   .pre_state_change_hook = NULL,
   .post_state_change_hook = NULL,
   .application_hook = NULL,
   .safeoutput_override = NULL,
   .pre_object_download_hook = NULL,
   .post_object_download_hook = NULL,
   .rxpdo_override = NULL,
   .txpdo_override = NULL,
   .esc_hw_interrupt_enable = NULL,
   .esc_hw_interrupt_disable = NULL,
   .esc_hw_eep_handler = ESC_eep_handler,
   .esc_check_dc_handler = NULL
};

#include "xmc_gpio.h"
static const XMC_GPIO_CONFIG_t gpio_config_btn = {
  .mode = XMC_GPIO_MODE_INPUT_INVERTED_PULL_UP,
  .output_level = 0,
  .output_strength = 0
};
static const XMC_GPIO_CONFIG_t gpio_config_led1 = {
  .mode = XMC_GPIO_MODE_OUTPUT_PUSH_PULL,
  .output_level = XMC_GPIO_OUTPUT_LEVEL_LOW,
  .output_strength = XMC_GPIO_OUTPUT_STRENGTH_STRONG_SOFT_EDGE
};

#define GPIO_BUTTON1    P3_4
#define GPIO_LED1		P4_0
_Objects Obj;

/**
 * This function is called when to get input values
 */
void cb_get_inputs()
{
	Obj.Buttons.Button1 = XMC_GPIO_GetInput(GPIO_BUTTON1);
}
/**
* This function is called when to set outputs values
 */
void cb_set_outputs()
{
	XMC_GPIO_SetOutputLevel(GPIO_LED1, Obj.LEDs.Led1);
}

int main(void)
{
  XMC_GPIO_Init(GPIO_BUTTON1, &gpio_config_btn);
  XMC_GPIO_Init(GPIO_LED1, &gpio_config_led1);
  ecat_slv_init(&config);
  /* Placeholder for user application code. The while loop below can be replaced with user application code. */
  while(1U)
  {
     ecat_slv();
  }
}
